> ## Documentation Index
> Fetch the complete documentation index at: https://docs.osiro.app/llms.txt
> Use this file to discover all available pages before exploring further.

# Get apiv2organizations scheduleevent types



## OpenAPI

````yaml https://api.osiro.com/doc get /api/v2/organizations/{orgId}/schedule/event-types
openapi: 3.0.0
info:
  title: osiro API
  version: 2.0.0
servers: []
security: []
tags:
  - name: Funnel
    description: Public funnel rendering, submission, MFA, and analytics.
  - name: Booking
    description: A lead's cancel and reschedule of their booking, via the manage link.
  - name: Training
    description: Org-scoped sales-training catalogs, sessions, and call records.
  - name: Attribution
    description: Cross-domain PostHog identity handoff for the marketing site.
  - name: Billing
    description: Org-scoped checkouts, plans, trials and the Stripe billing portal.
  - name: Leads
    description: Org-scoped lead reads and actions.
  - name: Ad copy
    description: Org-scoped ad guidelines and Meta ad copy generation.
paths:
  /api/v2/organizations/{orgId}/schedule/event-types:
    get:
      tags:
        - Schedule
      parameters:
        - schema:
            type: string
            format: uuid
          required: true
          name: orgId
          in: path
        - schema:
            type: string
            default: ''
          required: false
          name: q
          in: query
        - schema:
            type: integer
            minimum: 1
            default: 1
          required: false
          name: page
          in: query
        - schema:
            type: integer
            minimum: 1
            maximum: 100
            default: 25
          required: false
          name: pageSize
          in: query
        - schema:
            type: string
            enum:
              - title.asc
              - title.desc
              - duration_minutes.asc
              - duration_minutes.desc
              - created_at.asc
              - created_at.desc
            default: created_at.asc
          required: false
          name: sort
          in: query
        - schema:
            type: string
            format: uuid
          required: false
          name: member
          in: query
        - schema:
            type: string
            enum:
              - active
              - archived
            default: active
          required: false
          name: status
          in: query
      responses:
        '200':
          description: >-
            One page of the caller's active or archived event types, or
            `member`'s for the owner, in the requested order (default: oldest
            first), with the total matching count
          content:
            application/json:
              schema:
                type: object
                properties:
                  eventTypes:
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          type: string
                        title:
                          type: string
                        duration_minutes:
                          type: number
                        location_kind:
                          type: string
                          enum:
                            - phone
                            - in_person
                            - link
                            - generated
                        created_at:
                          type: string
                        schedule_name:
                          type: string
                          nullable: true
                      required:
                        - id
                        - title
                        - duration_minutes
                        - location_kind
                        - created_at
                        - schedule_name
                  total:
                    type: number
                required:
                  - eventTypes
                  - total
        '400':
          description: Bad request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiError'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiError'
        '403':
          description: Forbidden
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiError'
        '429':
          description: Rate limited
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiError'
        '500':
          description: Internal error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiError'
components:
  schemas:
    ApiError:
      type: object
      properties:
        error:
          type: object
          properties:
            code:
              type: string
            message:
              type: string
          required:
            - code
            - message
      required:
        - error

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.